MicroG and SafetyNet Check

Hi Guys

I am new here, and I don’t know if this is the right place to ask. :roll_eyes:
I recently “installed” /e/os on my old Xiaomi Redmi 5. Everything went smooth. But now I noticed that my Banking Software (Postfinance) is not running. I guess it is because it is not passing the SafetyNet Check.

As far as I have seen some measures have been taken to pass the SafetyNet check. But afaik Google recently changed the prerequisites to pass the test, right?

Is there actually a chance to pass this Check? Or maybe I just missed something…

Thanks for your answers

Best regards
Bernhard

Regain your privacy! Adopt /e/ the unGoogled mobile OS and online servicesphone

Hi oder Sali @Co_chise

It might also have to do with the open bootloader. I use Zak from Cler and on my FP3 with locked bootloader it works, on my other device it doesn’t. Yapeal for example won’t start on any device. So it really depends on different parameters.

What exactly doesn’t work?

Hallo and Hello

this also might be! I tried to close the bootloader after flashing it. Got destroyed! :joy: :pensive:
I thought maybe it’s possible to close it again on Xiaomi phones… But nope

I also tried with Magisk (Zygisk with (Universal Safety Net Fix + MagiskHidePropsConf Module) - No chance!

So is there a real chance to reach my goal even with open Bootloader? What about the built in options in MicroG? And what about the DroidGuard Helper App mentioned in the Settings?

Best regards
Bernhard

What exactly doesn’t work? My Postfinance app just crashes while starting up…

Did you install the app from the /e/ App Store? I installed the app from the Aurora store (you will soon enough here about other options of app stores). I tried before installing the app from Aurora and the wizard was shown until I could have logged in. With the app from the /e/ App store it crashes aswell. That version is 4.10.2 which is from 26.09.2020. In the /e/ App store apps sometimes don’t get refreshed regularly. I have tested that on my Sony XZ2 Compact, which also has an open bootloader. That’s why I asked when it happens :slight_smile:.

And yes not on all devices can the bootloader be closed, it’s just a few…

Please take notice when using Aurora store, that you should care which app is to be updated. It has been discussed in the forum often times. For example here: Aurora Store - Google Play Services Update

Hope it clears some things up, if not, keep asking :wink:.

Mein Held! :grin: :grin: :grin: :grin:

You are right, I installed it from the /e/ App! To prevent logging in with my credentials into Google Store… My fault! The Version 5.3.xx seems to work! :ok_hand:Thanks for that.

But an additional question: (you will soon enough here about other options of app stores) : To download the Postfinance App I had to log in with my real credentials into Aurora. As Anonymous I was unable to find the App. And my final Goal is to prevent to connect my device with my gmail address! (this means degoogeling for me!) Any other recommendation for a good store?

There’s a “workaround” I’ve found when you can’t find an app in the Aurora Store (Venmo, Vudu, Ticketmaster, etc), which is to run a search for the app in the Play Store from your browser. This should trigger the dialog asking if you want to launch the appropriate app, which will lead you to it’s page in the Aurora Store, and allow you to download. Once installed, it will update as normal (you can also simply install the apk if you can obtain it).
The only app I’ve ever had trouble with this way was my hunting and fishing licence.

That’s probably because the app is geo-restricted (i.e. only available in some countries). It’s easy to work round, snd you can get it anonymously. See this posy for more information

1 Like

I like this workaround… Thanks for that!

Best regards
Bernhard

Yes, you are right, seems to be some sort geo restriction. :roll_eyes:

Best regards
Bernhard

I have went with Pete’s approach when I couldn’t find neon banking app. Since then everything worked just fine

1 Like

Since the Version 0.22 /e/OS is able to pass the SafetyNet Check! Well done guys!

1 Like

It passes with your Redmi 5?

Only the Basic integrity check. The CTS profile does not match. But on the Xiaomi
Mi Mix 2S everything is fine for now…

I’m running with Magisk (Zygisk variant), and then CTS profile also matches, provided you add whatever app you need it for marked in the DenyList setting in Magisk. This was what it took for me to get Vipps (Norwegian payment app) working.